Bug 236893 - CVE-2007-0243 GIF buffer overflow
CVE-2007-0243 GIF buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: IBMJava2-JRE (Show other bugs)
2.1
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Thomas Fitzsimmons
reported=20070417,source=internet,imp...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-18 06:10 EDT by Mark J. Cox
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-26 13:49:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox 2007-04-18 06:10:36 EDT
+++ This bug was initially created as a clone of Bug #236892 +++

In January 2007 a flaw was found affecting the SUN JRE; "Buffer overflow in Sun
JDK and Java Runtime Environment (JRE) 5.0 Update 9 and earlier, SDK and JRE
1.4.2_12 and earlier, and SDK and JRE 1.3.1_18 and earlier allows applets to
gain privileges via a GIF image with a block with a 0 width field, which
triggers memory corruption."

On 17th April 2007 IBM updated their alerts page to note that this issue
affected the IBM JRE and was fixed in 1.4.2 SR8

Also affects RHEL4Extras, RHEL3Extras
Comment 1 Mark J. Cox 2007-04-18 06:28:37 EDT
We shipped IBM JRE version 1.3.1 with RHEL2.1; note that the IBM page
http://www-128.ibm.com/developerworks/java/jdk/alerts/ states that there is no
1.3.1 update, but "1.3.1 iFixes are available on request"
Comment 2 Thomas Fitzsimmons 2007-04-18 13:57:27 EDT
(In reply to comment #1)
> We shipped IBM JRE version 1.3.1 with RHEL2.1; note that the IBM page
> http://www-128.ibm.com/developerworks/java/jdk/alerts/ states that there is no
> 1.3.1 update, but "1.3.1 iFixes are available on request"

I've requested these updates from my IBM contact.
Comment 3 Josh Bressers 2007-04-26 13:49:41 EDT
This flaw was fixe din Java 1.3.1, which we released in RHSA-2007:0072.

Note You need to log in before you can comment on or make changes to this bug.